﻿using System.Web.Mvc;
using System.Web.Routing;
using MvcApplication1.ViewEngines;

// This code was originally posted at:
// http://pietschsoft.com/post.aspx?id=237305ef-7b41-45f4-af3b-d7b1b116e78b

namespace MvcApplication1
{
    // Note: For instructions on enabling IIS6 or IIS7 classic mode, 
    // visit http://go.microsoft.com/?LinkId=9394801

    public class MvcApplication : System.Web.HttpApplication
    {
        public static void RegisterRoutes(RouteCollection routes)
        {
            routes.IgnoreRoute("{resource}.axd/{*pathInfo}");

            routes.MapRoute(
                "Default",                                              // Route name
                "{controller}/{action}/{id}",                           // URL with parameters
                new { controller = "Home", action = "Index", id = "" }  // Parameter defaults
            );

        }

        protected void Application_Start()
        {
            RegisterRoutes(RouteTable.Routes);

            // Replace the Default WebFormViewEngine with our custom WebFormThemeViewEngine
            System.Web.Mvc.ViewEngines.Engines.Clear();
            System.Web.Mvc.ViewEngines.Engines.Add(new WebFormThemeViewEngine());
        }
    }
}